import i from "react";
import n from "../../../classnames/index.mjs";
function l(t, e) {
  const a = Object.assign({}, e.props);
  t.className && (a.className = n(e.props.className, t.className)), t.style && (a.style = Object.assign(Object.assign({}, a.style), t.style)), t.tabIndex !== void 0 && (a.tabIndex = t.tabIndex);
  for (const s in t)
    t.hasOwnProperty(s) && (s.startsWith("data-") || s.startsWith("aria-")) && (a[s] = t[s]);
  return i.cloneElement(e, a);
}
export {
  l as withNativeProps
};
